<?php

class mysqletapa {
  private $usuario;
  private $servidor;
  private $password;
  private $base_datos;
  private $conexion;
  private $result;
  var $flag = false;
  static $_instance;

  function __construct(){
    require_once ("configdatos.php");
    $this->usuario= USER;
    $this->password= PASS;
    $this->servidor= HOST;
    $this->base_datos= DB;
    $this->conectar();
  }


public function NuevaEtapa($id_proyecto,$etapa,$fec_municipal,$fec_registro){
     $queryetapa ="INSERT INTO tbletapas(ID_PROYECTO,ETAPA, FEC_RES_MUNICIPAL, RES_MUNICIPAL,FEC_REGISTRO) 
                                VALUES ('$id_proyecto','$etapa',$fec_municipal','nada','$fec_registro')";

   // return $queryetapa;
   if(mysql_query($queryetapa)){
      return "1";
    }
    else{
        return mysql_error(); 
    }
  }

public function updateFechaMunicipal($listafechas){

    for ($i=0;$i<count($listafechas); $i++){
        $id = $listafechas[$i]['id'];
        $fecha = $listafechas[$i]['fecha'];
        $queryTicketpreguntas = "UPDATE tbletapas SET FEC_RES_MUNICIPAL= '$fecha' WHERE ID_ETAPA = '$id'";
           if(mysql_query($queryTicketpreguntas)){  
            }else{
                return mysql_error();
            }
    }
    return "1";
  }

  public function Updateproyecto($id_proyecto,$variable,$listaCorreo){
    $QueryUpdateTicket = "UPDATE tblproyectos SET  Activo=$variable  WHERE ID_PROYECTO = '$id_proyecto'";

  if(mysql_query($QueryUpdateTicket)){
     
    $eliminarCorreosYCrear = "DELETE FROM CorreoPorProyecto  WHERE id_proyecto = '$id_proyecto'";
    if(mysql_query($eliminarCorreosYCrear)){

      for ($i=0;$i<count($listaCorreo); $i++){
        $correo = $listaCorreo[$i]['correo'];
        $queryNuevoCorreoPersona = "INSERT INTO CorreoPorProyecto(correo,id_proyecto) VALUES ('$correo','$id_proyecto')";
           if(mysql_query($queryNuevoCorreoPersona)){  
            }else{
                return mysql_error();
            }
      }
      return "1";

    }else{
      return mysql_error(); 
    }
   }
   else{
       return mysql_error(); 
   }
 }

 public function updateConfigCorreos($listaCorreo){
  $eliminarCorreosYCrear = "DELETE FROM tblCorreosGlobal";
  if(mysql_query($eliminarCorreosYCrear)){

      for ($i=0;$i<count($listaCorreo); $i++){
        if(!(empty($listaCorreo))){
          $correo = $listaCorreo[$i]['correo'];
          $queryNuevoCorreoPersona = "INSERT INTO tblCorreosGlobal(Correo) VALUES ('$correo')";
            if(mysql_query($queryNuevoCorreoPersona)){  
              }else{
                  return mysql_error();
              }
        }
      }
      return "1";
  }
  else{
      return mysql_error(); 
  }
}




 private function read($sql){
  $resultado = mysql_query($sql); 
   if(mysql_num_rows($resultado)> 0){
     while($fila = mysql_fetch_array($resultado)){
         $arreglo[] =$fila;
       }
         return $arreglo;
   }else{
     return "0";
   }
  }

  private function conectar(){
  $this->conexion = mysql_connect($this->servidor,$this->usuario,$this->password);
  mysql_select_db($this->base_datos,$this->conexion);
  @mysql_query("SET NAMES 'utf8'");
 }


}
?>